Remove MCP server
Stop an MCP server and remove it from the runtime set until restart.
DELETE
/api/mcp/{server}Path parameters
serverstringrequiredQuery parameters
locationobject | anyResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404McpServerNotFoundError
_tagstringrequiredAllowed:
McpServerNotFoundErrorserverstringrequiredmessagestringrequiredRequest
curl -X DELETE "/api/mcp/string"const response = await fetch("/api/mcp/string", {
method: "DELETE"
});import requests
response = requests.delete(
"/api/mcp/string",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "McpServerNotFoundError",
"server": "string",
"message": "string"
}